# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python3_sitearch}/.*\\.so
# FIXME: underlinking issue
%define _disable_ld_no_undefined 1

%define sname  PyQt6

# _with = non-bootstrap build, _without = bootstrap build
%bcond_without bootstrap

# FIXME use/update qt6_qtwebengine_arches
# 32-bit arches not supported (https://bugreports.qt.io/browse/QTBUG-102143)
%ifarch x86_64 aarch64
%bcond_without pdf
%else
%bcond_with pdf
%endif

Name:          python-qt6
Version:       6.8.1
Release:       %mkrel 1
Summary:       Set of Python bindings for The Qt Company's Qt application framework
License:       GPLv2+
Group:         Development/KDE and Qt
URL:           http://www.riverbankcomputing.co.uk/software/pyqt/intro
#https://www.riverbankcomputing.com/static/Downloads/PyQt6/%%{version}/%%{sname}-%%{version}.tar.gz
Source0:       https://pypi.io/packages/source/p/pyqt6/pyqt6-%{version}.tar.gz

BuildRequires: python3-sip6 >= 6.9.0
BuildRequires: python3-pyqt-builder

BuildRequires: qmake-qt6
BuildRequires: cmake(Qt6Bluetooth)
BuildRequires: cmake(Qt6Core)
BuildRequires: cmake(Qt6DBus)
BuildRequires: cmake(Qt6Designer)
BuildRequires: cmake(Qt6Gui)
BuildRequires: cmake(Qt6Help)
BuildRequires: cmake(Qt6Multimedia)
BuildRequires: cmake(Qt6MultimediaWidgets)
BuildRequires: cmake(Qt6Network)
BuildRequires: cmake(Qt6Nfc)
BuildRequires: cmake(Qt6OpenGL)
BuildRequires: cmake(Qt6OpenGLWidgets)
%if %{with pdf}
BuildRequires: cmake(Qt6Pdf)
BuildRequires: cmake(Qt6PdfWidgets)
%endif
BuildRequires: cmake(Qt6Positioning)
BuildRequires: cmake(Qt6PrintSupport)
BuildRequires: cmake(Qt6Qml)
BuildRequires: cmake(Qt6Quick)
BuildRequires: cmake(Qt6Quick3D)
BuildRequires: cmake(Qt6QuickWidgets)
BuildRequires: cmake(Qt6RemoteObjects)
BuildRequires: cmake(Qt6Sensors)
BuildRequires: cmake(Qt6SerialPort)
BuildRequires: cmake(Qt6SpatialAudio)
BuildRequires: cmake(Qt6Sql)
BuildRequires: cmake(Qt6Svg)
BuildRequires: cmake(Qt6SvgWidgets)
BuildRequires: cmake(Qt6Test)
BuildRequires: cmake(Qt6TextToSpeech)
BuildRequires: cmake(Qt6WebChannel)
BuildRequires: cmake(Qt6WebSockets)
BuildRequires: cmake(Qt6Widgets)
BuildRequires: cmake(Qt6Xml)
BuildRequires: pkgconfig(dbus-python)

%description
PyQt is a set of Python bindings for The Qt Company's Qt application
framework.

#------------------------------------------------------------

%define py3_name python3-qt6

%package -n    %{py3_name}
Summary:       Set of Python 3 bindings for The Qt Company's Qt application framework
Group:         Development/KDE and Qt

BuildRequires: pkgconfig(python3)
BuildRequires: python3-pyqt6-sip >= 13.9.0
BuildRequires: python3-dbus

Provides:      python3-PyQt6 = %{version}-%{release}

Requires:      %{py3_name}-core = %{version}
Requires:      %{py3_name}-dbus = %{version}
Requires:      %{py3_name}-bluetooth = %{version}
Requires:      %{py3_name}-designer = %{version}
Requires:      %{py3_name}-gui = %{version}
Requires:      %{py3_name}-multimedia = %{version}
Requires:      %{py3_name}-multimediawidgets = %{version}
Requires:      %{py3_name}-nfc = %{version}
Requires:      %{py3_name}-network = %{version}
%if ! %{with bootstrap}
Requires:      %{py3_name}-networkauth >= 6.4
%endif
Requires:      %{py3_name}-opengl = %{version}
Requires:      %{py3_name}-openglwidgets = %{version}
Requires:      %{py3_name}-positioning = %{version}
Requires:      %{py3_name}-printsupport = %{version}
Requires:      %{py3_name}-qml = %{version}
Requires:      %{py3_name}-quick = %{version}
Requires:      %{py3_name}-quick3d = %{version}
Requires:      %{py3_name}-quickwidgets = %{version}
Requires:      %{py3_name}-remoteobjects = %{version}
Requires:      %{py3_name}-sensors = %{version}
Requires:      %{py3_name}-serialport = %{version}
Requires:      %{py3_name}-spatialaudio = %{version}
Requires:      %{py3_name}-sql = %{version}
Requires:      %{py3_name}-svg = %{version}
Requires:      %{py3_name}-svgwidgets = %{version}
Requires:      %{py3_name}-test = %{version}
Requires:      %{py3_name}-texttospeech = %{version}
Requires:      %{py3_name}-webchannel = %{version}
Requires:      %{py3_name}-websockets = %{version}
Requires:      %{py3_name}-widgets = %{version}
Requires:      %{py3_name}-xml = %{version}

%description -n %{py3_name}
PyQt is a set of Python 3 bindings for The Qt Company's Qt application
framework.

%files -n %{py3_name}
%doc ChangeLog
%license LICENSE

#------------------------------------------------------------

%package -n    %{py3_name}-core
Summary:       Python 3 bindings for %{sname} core
Group:         Development/KDE and Qt
Requires:      python3-dbus

%description -n %{py3_name}-core
Python 3 bindings for %{sname} core.

%files -n %{py3_name}-core
%dir %{python3_sitearch}/%{sname}
%dir %{python3_sitearch}/%{sname}/bindings
%{python3_sitearch}/%{sname}/uic/
%{python3_sitearch}/%{sname}-%{version}.dist-info
%{python3_sitearch}/%{sname}/__pycache__/
%{python3_sitearch}/%{sname}/__init__.py*
%{python3_sitearch}/dbus/mainloop/pyqt6.abi3.so
%{python3_sitearch}/%{sname}/QtCore.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtCore

#------------------------------------------------------------

%package -n    %{py3_name}-dbus
Summary:       Python 3 bindings for %{sname} dbus
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-dbus
Python 3 bindings for %{sname} dbus.

%files -n %{py3_name}-dbus
%{python3_sitearch}/%{sname}/QtDBus.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtDBus

#------------------------------------------------------------

%package -n    %{py3_name}-bluetooth
Summary:       Python 3 bindings for %{sname} bluetooth
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-bluetooth
Python 3 bindings for %{sname} bluetooth.

%files -n %{py3_name}-bluetooth
%{python3_sitearch}/%{sname}/QtBluetooth.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtBluetooth

#------------------------------------------------------------

%package -n    %{py3_name}-designer
Summary:       Python 3 bindings for %{sname} designer
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-designer
Python 3 bindings for %{sname} designer.

%files -n %{py3_name}-designer
%{python3_sitearch}/%{sname}/QtDesigner.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtDesigner

#------------------------------------------------------------

%package -n    %{py3_name}-gui
Summary:       Python 3 bindings for %{sname} gui
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-gui
Python 3 bindings for %{sname} gui.

%files -n %{py3_name}-gui
%{python3_sitearch}/%{sname}/QtGui.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtGui

#------------------------------------------------------------

%package -n    %{py3_name}-network
Summary:       Python 3 bindings for %{sname} network
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-network
Python 3 bindings for %{sname} network.

%files -n %{py3_name}-network
%{python3_sitearch}/%{sname}/QtNetwork.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNetwork

#------------------------------------------------------------
%if 0
%package -n    %{py3_name}-networkauth
Summary:       Python 3 bindings for %{sname} network authentication
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-networkauth
Python 3 bindings for %{sname} network authentication.

%files -n %{py3_name}-networkauth
%{python3_sitearch}/%{sname}/QtNetworkAuth.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNetworkAuth
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-help
Summary:       Python 3 bindings for %{sname} help
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-help
Python 3 bindings for %{sname} help.

%files -n %{py3_name}-help
%{python3_sitearch}/%{sname}/QtHelp.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtHelp

#------------------------------------------------------------

%package -n    %{py3_name}-nfc
Summary:       Python 3 bindings for %{sname} nfc
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-nfc
Python 3 bindings for %{sname} nfc.

%files -n %{py3_name}-nfc
%{python3_sitearch}/%{sname}/QtNfc.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtNfc

#------------------------------------------------------------

%package -n    %{py3_name}-opengl
Summary:       Python 3 bindings for %{sname} opengl
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-opengl
Python 3 bindings for %{sname} opengl.

%files -n %{py3_name}-opengl
%{python3_sitearch}/%{sname}/QtOpenGL.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtOpenGL

#------------------------------------------------------------

%package -n    %{py3_name}-openglwidgets
Summary:       Python 3 bindings for %{sname} openglwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-openglwidgets
Python 3 bindings for %{sname} openglwidgets.

%files -n %{py3_name}-openglwidgets
%{python3_sitearch}/%{sname}/QtOpenGLWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtOpenGLWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-positioning
Summary:       Python 3 bindings for %{sname} positioning
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-positioning
Python 3 bindings for %{sname} positioning.

%files -n %{py3_name}-positioning
%{python3_sitearch}/%{sname}/QtPositioning.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPositioning

#------------------------------------------------------------

%package -n    %{py3_name}-printsupport
Summary:       Python 3 bindings for %{sname} printsupport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-printsupport
Python 3 bindings for %{sname} printsupport.

%files -n %{py3_name}-printsupport
%{python3_sitearch}/%{sname}/QtPrintSupport.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPrintSupport

#------------------------------------------------------------

%if %{with pdf}
%package -n    %{py3_name}-pdf
Summary:       Python 3 bindings for %{sname} pdf
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-pdf
Python 3 bindings for %{sname} pdf.

%files -n %{py3_name}-pdf
%{python3_sitearch}/%{sname}/QtPdf.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPdf

#------------------------------------------------------------

%package -n    %{py3_name}-pdf-widgets
Summary:       Python 3 bindings for %{sname} pdf widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-pdf-widgets
Python 3 bindings for %{sname} pdf widgets.

%files -n %{py3_name}-pdf-widgets
%{python3_sitearch}/%{sname}/QtPdfWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtPdfWidgets
%endif

#------------------------------------------------------------

%package -n    %{py3_name}-qml
Summary:       Python 3 bindings for %{sname} qml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-qml
Python 3 bindings for %{sname} qml.

%files -n %{py3_name}-qml
%{python3_sitearch}/%{sname}/QtQml.abi3.so
%{_qt6_plugindir}/%{sname}/libpyqt6qmlplugin.so
%{python3_sitearch}/%{sname}/bindings/QtQml

#------------------------------------------------------------

%package -n    %{py3_name}-quick
Summary:       Python 3 bindings for %{sname} quick
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick
Python 3 bindings for %{sname} quick.

%files -n %{py3_name}-quick
%{python3_sitearch}/%{sname}/QtQuick.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuick

#------------------------------------------------------------

%package -n    %{py3_name}-quick3d
Summary:       Python 3 bindings for %{sname} quick3d
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quick3d
Python 3 bindings for %{sname} quick3d.

%files -n %{py3_name}-quick3d
%{python3_sitearch}/%{sname}/QtQuick3D.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuick3D

#------------------------------------------------------------

%package -n    %{py3_name}-quickwidgets
Summary:       Python 3 bindings for %{sname} quick widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-quickwidgets
Python 3 bindings for %{sname} quick widgets.

%files -n %{py3_name}-quickwidgets
%{python3_sitearch}/%{sname}/QtQuickWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtQuickWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-multimedia
Summary:       Python 3 bindings for %{sname} multimedia
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimedia
Python 3 bindings for %{sname} multimedia.

%files -n %{py3_name}-multimedia
%{python3_sitearch}/%{sname}/QtMultimedia.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtMultimedia

#------------------------------------------------------------

%package -n    %{py3_name}-multimediawidgets
Summary:       Python 3 bindings for %{sname} multimediawidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-multimediawidgets
Python 3 bindings for %{sname} multimediawidgets.

%files -n %{py3_name}-multimediawidgets
%{python3_sitearch}/%{sname}/QtMultimediaWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtMultimediaWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-remoteobjects
Summary:       Python 3 bindings for %{sname} remoteobjects
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-remoteobjects
Python 3 bindings for %{sname} remoteobjects.

%files -n %{py3_name}-remoteobjects
%{python3_sitearch}/%{sname}/QtRemoteObjects.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtRemoteObjects

#------------------------------------------------------------

%package -n    %{py3_name}-sensors
Summary:       Python 3 bindings for %{sname} sensors
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sensors
Python 3 bindings for %{sname} sensors.

%files -n %{py3_name}-sensors
%{python3_sitearch}/%{sname}/QtSensors.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSensors

#------------------------------------------------------------

%package -n    %{py3_name}-serialport
Summary:       Python 3 bindings for %{sname} serialport
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-serialport
Python 3 bindings for %{sname} serialport.

%files -n %{py3_name}-serialport
%{python3_sitearch}/%{sname}/QtSerialPort.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSerialPort

#------------------------------------------------------------

%package -n    %{py3_name}-spatialaudio
Summary:       Python 3 bindings for %{sname} spatialaudio
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-spatialaudio
Python 3 bindings for %{sname} spatialaudio.

%files -n %{py3_name}-spatialaudio
%{python3_sitearch}/%{sname}/QtSpatialAudio.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSpatialAudio

#------------------------------------------------------------

%package -n    %{py3_name}-sql
Summary:       Python 3 bindings for %{sname} sql
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-sql
Python 3 bindings for %{sname} sql.

%files -n %{py3_name}-sql
%{python3_sitearch}/%{sname}/QtSql.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSql

#------------------------------------------------------------

%package -n    %{py3_name}-svg
Summary:       Python 3 bindings for %{sname} svg
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-svg
Python 3 bindings for %{sname} svg.

%files -n %{py3_name}-svg
%{python3_sitearch}/%{sname}/QtSvg.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSvg

#------------------------------------------------------------

%package -n    %{py3_name}-svgwidgets
Summary:       Python 3 bindings for %{sname} svgwidgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-svgwidgets
Python 3 bindings for %{sname} svgwidgets.

%files -n %{py3_name}-svgwidgets
%{python3_sitearch}/%{sname}/QtSvgWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtSvgWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-test
Summary:       Python 3 bindings for %{sname} test
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-test
Python 3 bindings for %{sname} test.

%files -n %{py3_name}-test
%{python3_sitearch}/%{sname}/QtTest.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtTest

#------------------------------------------------------------

%package -n    %{py3_name}-texttospeech
Summary:       Python 3 bindings for %{sname} texttospeech
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-texttospeech
Python 3 bindings for %{sname} texttospeech.

%files -n %{py3_name}-texttospeech
%{python3_sitearch}/%{sname}/QtTextToSpeech.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtTextToSpeech/


#------------------------------------------------------------

%package -n    %{py3_name}-webchannel
Summary:       Python 3 bindings for %{sname} webchannel
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-webchannel
Python 3 bindings for %{sname} webchannel.

%files -n %{py3_name}-webchannel
%{python3_sitearch}/%{sname}/QtWebChannel.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWebChannel

#------------------------------------------------------------

%package -n    %{py3_name}-websockets
Summary:       Python 3 bindings for %{sname} websockets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-websockets
Python 3 bindings for %{sname} websockets.

%files -n %{py3_name}-websockets
%{python3_sitearch}/%{sname}/QtWebSockets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWebSockets

#------------------------------------------------------------

%package -n    %{py3_name}-widgets
Summary:       Python 3 bindings for %{sname} widgets
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-widgets
Python 3 bindings for %{sname} widgets.

%files -n %{py3_name}-widgets
%{python3_sitearch}/%{sname}/QtWidgets.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtWidgets

#------------------------------------------------------------

%package -n    %{py3_name}-xml
Summary:       Python 3 bindings for %{sname} xml
Group:         Development/KDE and Qt
Requires:      %{py3_name}-core = %{version}

%description -n %{py3_name}-xml
Python 3 bindings for %{sname} xml.

%files -n %{py3_name}-xml
%{python3_sitearch}/%{sname}/QtXml.abi3.so
%{python3_sitearch}/%{sname}/bindings/QtXml

#------------------------------------------------------------

%package -n    %{py3_name}-devel
Summary:       Python 3 bindings for %{sname} devel
Group:         Development/KDE and Qt
Requires:      %{py3_name} = %{version}
Requires:      qttools6-designer

%description -n %{py3_name}-devel
Python 3 bindings for %{sname} devel utilities.

%files -n %{py3_name}-devel
%{_bindir}/pyuic6
%{_bindir}/pylupdate6
%{_qt6_plugindir}/designer/*
%{python3_sitearch}/%{sname}/*.pyi
%{python3_sitearch}/%{sname}/lupdate*
%{python3_sitearch}/%{sname}/py.typed

#------------------------------------------------------------

%package -n    %{py3_name}-doc
Summary:       Documentation for the %{sname} python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-doc
Documentation for the %{sname} python 3 bindings.

%files -n %{py3_name}-doc
%doc %{_docdir}/%{py3_name}
%exclude %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-examples
Summary:       Usage examples for the %{sname} python 3 bindings
Group:         Documentation
BuildArch:     noarch

%description -n %{py3_name}-examples
Usage examples for the %{sname} python 3 bindings.

%files -n %{py3_name}-examples
%doc %{_docdir}/%{py3_name}/examples

#------------------------------------------------------------

%package -n    %{py3_name}-qsci-api
Summary:       Python 3 %{sname} Qscintilla API
Group:         Development/KDE and Qt

%description -n %{py3_name}-qsci-api
Python 3 %{sname} Qscintilla API.

%files -n %{py3_name}-qsci-api
%dir %{_qt6_datadir}/qsci/
%dir %{_qt6_datadir}/qsci/api/
%dir %{_qt6_datadir}/qsci/api/python/
%{_qt6_datadir}/qsci/api/python/%{sname}.api

#------------------------------------------------------------

%prep
%autosetup -p1 -n pyqt6-%{version}

%build
export PATH=%{_qt6_bindir}:$PATH

sip-build \
  --no-make \
  --qt-shared \
  --confirm-license \
  --api-dir=%{_qt6_datadir}/qsci/api/python \
  --verbose \
  --dbus=%{_includedir}/dbus-1.0/ \
  --pep484-pyi \
  --qmake-setting 'QMAKE_LFLAGS_RPATH=' \
  --qmake-setting 'QMAKE_CFLAGS_RELEASE="%{build_cflags}"' \
  --qmake-setting 'QMAKE_CXXFLAGS_RELEASE="%{build_cxxflags} `pkg-config --cflags dbus-python`"' \
  --qmake-setting 'QMAKE_LFLAGS_RELEASE="%{build_ldflags}"'

%make_build -C build

%install
%make_install INSTALL_ROOT=%{buildroot} -C build

# ensure .so modules are executable for proper -debuginfo extraction
for i in %{buildroot}%{python3_sitearch}/%{sname}/*.so %{buildroot}%{python3_sitearch}/dbus/mainloop/pyqt6.abi3.so ; do
chmod a+rx $i
done

mkdir -p %{buildroot}%{_docdir}/%{py3_name}/examples
    cp -fr examples/* %{buildroot}%{_docdir}/%{py3_name}/examples/

# Python shebang
%py3_shebang_fix %{buildroot}%{_docdir}/%{py3_name}/examples/*


%changelog
* Sat Apr 05 2025 daviddavid <daviddavid> 6.8.1-1.mga10
+ Revision: 2173645
- New version 6.8.1

* Thu Feb 27 2025 daviddavid <daviddavid> 6.8.0-2.mga10
+ Revision: 2153282
- rebuild for python 3.13

* Wed Dec 18 2024 daviddavid <daviddavid> 6.8.0-1.mga10
+ Revision: 2126056
- New version 6.8.0

* Mon Jul 22 2024 daviddavid <daviddavid> 6.7.1-1.mga10
+ Revision: 2082239
- New version 6.7.1

* Wed Jun 12 2024 daviddavid <daviddavid> 6.7.0-2.mga10
+ Revision: 2072826
- rebuild for 'Qt_$MAJOR_PRIVATE_API' settings

* Sun May 26 2024 daviddavid <daviddavid> 6.7.0-1.mga10
+ Revision: 2067808
- 6new version 6.7.0

* Thu Feb 29 2024 tv <tv> 6.6.0-5.mga10
+ Revision: 2046003
- Rebuild for "Failed to import PyQt module: PyQt6.QtCore with error: /usr/lib64/python3.12/site-packages/PyQt6/QtCore.abi3.so: undefined symbol: _ZN14QReadWriteLock16destroyRecursiveEP21QReadWriteLockPrivate, version Qt_6_PRIVATE_API"
+ daviddavid <daviddavid>
- fix owner of /PyQt6/bindings/ dir

* Sat Dec 09 2023 daviddavid <daviddavid> 6.6.0-4.mga10
+ Revision: 2015989
- bootstrap build to not requires external python-qt6-networkauth

* Fri Dec 08 2023 daviddavid <daviddavid> 6.6.0-3.mga10
+ Revision: 2015592
- rebuild for py3.12

* Wed Nov 01 2023 daviddavid <daviddavid> 6.6.0-2.mga10
+ Revision: 2003218
- enable Qt6SpatialAudio support

* Mon Oct 30 2023 daviddavid <daviddavid> 6.6.0-1.mga10
+ Revision: 2002941
- New version 6.6.0

* Thu Sep 21 2023 daviddavid <daviddavid> 6.5.2-1.mga10
+ Revision: 1989139
- new version: 6.5.2

* Sun Sep 03 2023 daviddavid <daviddavid> 6.4.1-4.mga10
+ Revision: 1983893
- fix dependency on devel sub-pkg for qttools6-designer instead of qttools5-designer

* Mon Jun 12 2023 daviddavid <daviddavid> 6.4.1-3.mga9
+ Revision: 1961878
- enable QtPdf and QtPdfWidgets also on armv7 and aarch64

* Tue Jan 31 2023 daviddavid <daviddavid> 6.4.1-2.mga9
+ Revision: 1937235
- relax python3-qt6-networkauth dependency as it is not included
  directly in PyQt6 itself

* Mon Jan 30 2023 daviddavid <daviddavid> 6.4.1-1.mga9
+ Revision: 1937023
- new version: 6.4.1

* Sat Dec 24 2022 daviddavid <daviddavid> 6.4.0-5.mga9
+ Revision: 1926266
- Rebuild for new Qt 6.4.1

* Thu Oct 27 2022 papoteur <papoteur> 6.4.0-4.mga9
+ Revision: 1899863
- exclude also aarch64 for Pdf
  cleaning
- bump release
- add support for QtPdf, QtPdfWidgets, QtTexttospeech

* Tue Oct 04 2022 papoteur <papoteur> 6.4.0-1.mga9
+ Revision: 1894612
- new 6.4.0

* Wed Aug 31 2022 wally <wally> 6.3.1-2.mga9
+ Revision: 1882636
- build QtWebSockets bindings
- build QtSvgWidgets bindings

* Tue Aug 30 2022 wally <wally> 6.3.1-1.mga9
+ Revision: 1882341
- fork as python-qt6
- new version 6.3.1
- new version 5.15.7
- drop wrapper scripts as python2 isn't really used anymore
- clean .spec

* Wed Apr 06 2022 umeabot <umeabot> 5.15.6-3.mga9
+ Revision: 1845880
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 tv <tv> 5.15.6-2.mga9
+ Revision: 1785046
- Drop BR on python3-sip-devel (sip4) as it broke build
- QtNetworkAuth is no more
- 5.15.6 (py3.10 fixes)
+ neoclust <neoclust>
- Build with sip6

* Sat Feb 12 2022 neoclust <neoclust> 5.15.2-4.mga9
+ Revision: 1773227
- Rebuild against python 3.10

* Mon Mar 15 2021 neoclust <neoclust> 5.15.2-3.mga9
+ Revision: 1703200
- Rebuild against python 3.9

* Tue Feb 09 2021 daviddavid <daviddavid> 5.15.2-2.mga8
+ Revision: 1675075
- add conflicts to ease upgrade mga7->mga8 (mga#28325)

* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652953
- New version 5.15.2

* Sun Sep 13 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625518
- new version: 5.15.1
- enable QtTextToSpeech module

* Thu Jun 25 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1599178
- rebuild with sip 4.19.23

* Thu Jun 04 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590353
- new version: 5.15.0
- add the new QtQuick3D module

* Mon Mar 02 2020 daviddavid <daviddavid> 5.14.1-4.mga8
+ Revision: 1553029
- disable qtenginio support (since Qt 5.14 upstream removed it)

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-3.mga8
+ Revision: 1545904
- Mageia 8 Mass Rebuild

* Wed Feb 12 2020 daviddavid <daviddavid> 5.14.1-2.mga8
+ Revision: 1497307
- rebuild against sip 4.19.21

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1485513
- new version: 5.14.1

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441083
- new version: 5.13.1

* Fri Sep 06 2019 daviddavid <daviddavid> 5.13.0-4.mga8
+ Revision: 1437995
- enable PyQt 5 Qscintilla API for Python 3

* Fri Sep 06 2019 tv <tv> 5.13.0-3.mga8
+ Revision: 1437748
- fix filelist: add 2 plugins to core subpkg
- drop python2 subpkg
- rebuild for python 3.8

* Sat Jul 27 2019 daviddavid <daviddavid> 5.13.0-2.mga8
+ Revision: 1424479
- rebuild for new mkspecs macros

* Thu Jul 11 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1420071
- new version: 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.1-2.mga7
+ Revision: 1384097
- Qt5 Rebuild

* Fri Mar 22 2019 daviddavid <daviddavid> 5.12.1-1.mga7
+ Revision: 1379544
- new version: 5.12.1

* Mon Mar 04 2019 daviddavid <daviddavid> 5.12-4.mga7
+ Revision: 1371272
- revert commit 1367852, as of circle dependencies on python(2,3)-qt5-webengine*
  if a new mandatory arch

* Sun Feb 17 2019 daviddavid <daviddavid> 5.12-3.mga7
+ Revision: 1367852
- add back dependencies on python(2,3)-qt5-webengine*

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-2.mga7
+ Revision: 1367025
- python2-qt5-qsci-api can't be a noarch package (as of /usr/lib(64)/ dir)

* Thu Feb 14 2019 daviddavid <daviddavid> 5.12-1.mga7
+ Revision: 1366867
- new version: 5.12
- enable QtRemoteObjects module
- the QtWebEngine, QtWebEngineCore and QtWebEngineWidgets modules
  have been moved to a separate PyQtWebEngine package

* Mon Jan 07 2019 tv <tv> 5.11.3-2.mga7
+ Revision: 1350560
- rebuild with python 3.7

* Wed Jan 02 2019 daviddavid <daviddavid> 5.11.3-1.mga7
+ Revision: 1348535
- new version: 5.11.3

* Sun Sep 30 2018 umeabot <umeabot> 5.11.2-2.mga7
+ Revision: 1312567
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 daviddavid <daviddavid> 5.11.2-1.mga7
+ Revision: 1243341
- new version: 5.11.2
- switch to new python{2,3}-pyqt5-sip
- make check for PyQt5.sip module non-fatal

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-2.mga7
+ Revision: 1219955
- rename all python-module to python2-module

* Wed Apr 18 2018 daviddavid <daviddavid> 5.10.1-1.mga7
+ Revision: 1219853
- new version: 5.10.1
- enable QtNetworkAuth support

* Sat Oct 14 2017 joequant <joequant> 5.9-3.mga7
+ Revision: 1171720
- rebuild with new stack

* Tue Aug 08 2017 daviddavid <daviddavid> 5.9-2.mga7
+ Revision: 1138970
- add wrappers for pyrcc5, pylupdate5 from fedora

* Fri Aug 04 2017 philippem <philippem> 5.9-1.mga7
+ Revision: 1134975
- more fix file list
- fix file list (usr/share/sip/PyQt5/Qt)
- fix build by removing cp doc/html
+ neoclust <neoclust>
- New version 5.9
+ tv <tv>
- rebuild for new python

* Thu Oct 06 2016 daviddavid <daviddavid> 5.6-8.mga6
+ Revision: 1059151
- fix pyqt5.so dbus file path (mga#19544)

* Fri Sep 23 2016 daviddavid <daviddavid> 5.6-7.mga6
+ Revision: 1055615
- disable qtwebengine5 support only on armv5tl as long as it isn't available

* Mon Jul 04 2016 daviddavid <daviddavid> 5.6-6.mga6
+ Revision: 1038677
- rebuild for new qtenginio5 1.6.1

* Wed Jun 29 2016 akien <akien> 5.6-5.mga6
+ Revision: 1038083
- Split qsci API file in a separate noarch package
  o See https://ml.mageia.org/l/arc/dev/2016-06/msg00729.html

* Sat Jun 25 2016 akien <akien> 5.6-4.mga6
+ Revision: 1037683
- Rebuild in Core Release

* Sat Jun 25 2016 akien <akien> 5.6-3.mga6
+ Revision: 1037509
- Drop unwanted Obsoletes on the WebKit{,Widgets} modules
- Package the Python 3 typehint stubs in python3-qt5-devel

* Fri Jun 24 2016 akien <akien> 5.6-2.mga6
+ Revision: 1037467
- Readd WebKit{,Widgets} plugin needed by calibre
  o Still builds against Qt 5.5.1 for this one as deprecated upstream, hope it works

* Fri Jun 24 2016 akien <akien> 5.6-1.mga6
+ Revision: 1037442
- Fix wrong requires on python(2)-sip for python3 packages
- Enable some more modules
  o Enginio
  o QtQuickWidgets
  o QtSensors
- Version 5.6
  o Replace obsoleted WebKit modules by WebEngine ones
  o Python3 build now produces *.pyi stubs; disable them for now
- s/Trolltech/The Qt Company/

* Tue Feb 16 2016 umeabot <umeabot> 5.5.1-2.mga6
+ Revision: 962424
- Mageia 6 Mass Rebuild

* Fri Nov 06 2015 daviddavid <daviddavid> 5.5.1-1.mga6
+ Revision: 898056
- new version: 5.5.1

* Wed Oct 07 2015 daviddavid <daviddavid> 5.5-4.mga6
+ Revision: 886877
- rebuild for python 3.5

* Tue Sep 22 2015 daviddavid <daviddavid> 5.5-3.mga6
+ Revision: 882192
- reenable debug package with proper fix as it should
- fix wrong python release used in pyuic5 launch script (rhbz#1193107)
- split all python3-qt5 modules into subpackages like python-qt5
- fix owner of sip/PyQt5 dir and python3-sip/PyQt5 dir
- fix owner of %%{_qt5_prefix}/qsci dir
- introduce license macro
- use new python macros

* Wed Sep 09 2015 fwang <fwang> 5.5-2.mga6
+ Revision: 874641
- install sip files for python3

* Fri Aug 14 2015 fwang <fwang> 5.5-1.mga6
+ Revision: 864612
- update file list
- New version 5.5

* Wed Feb 04 2015 akien <akien> 5.4-1.mga5
+ Revision: 813461
- Add python-qt5-xml subpackage
- Version 5.4

* Wed Oct 15 2014 umeabot <umeabot> 5.3.2-2.mga5
+ Revision: 747829
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 lmenut <lmenut> 5.3.2-1.mga5
+ Revision: 734460
- update to 5.3.2

* Sat Sep 27 2014 tv <tv> 5.3.1-4.mga5
+ Revision: 729617
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Sep 07 2014 philippem <philippem> 5.3.1-2.mga5
+ Revision: 673349
- add Python3 (first attempt)

* Sun Jul 13 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 651695
- 5.3.1

* Sat May 31 2014 pterjan <pterjan> 5.3-2.mga5
+ Revision: 628982
- Rebuild for new Python

* Thu May 29 2014 fwang <fwang> 5.3-1.mga5
+ Revision: 627413
- update file list
- add br
- 5.3
- bump req
- 5.3 snapshot
- 5.2.1

* Mon Feb 17 2014 fwang <fwang> 5.2-4.mga5
+ Revision: 593324
- add serialport module

* Mon Feb 17 2014 fwang <fwang> 5.2-3.mga5
+ Revision: 593277
- update file list
- add more support on new modules

* Tue Feb 04 2014 fwang <fwang> 5.2-2.mga5
+ Revision: 581789
- update file list
- br x11 extras

* Tue Feb 04 2014 fwang <fwang> 5.2-1.mga5
+ Revision: 581628
- new version 5.2

* Sun Nov 03 2013 fwang <fwang> 5.1.1-1.mga4
+ Revision: 549242
- update file list
- drop port_v3 from dist package
- disable stack-protector flag for now
- update file list
- try fixing complie order
- disable bytecompile
- do more modification
- new version 5.1.1
- new version 5.1
- undefine bytecompile
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild
+ neoclust <neoclust>
- Enable back bycompile

* Thu Aug 29 2013 fwang <fwang> 5.0.1-1.mga4
+ Revision: 472850
- update file list
- new version 5.0.1

* Tue Aug 20 2013 fwang <fwang> 5.0-7.mga4
+ Revision: 468248
- use pkconfig br

* Tue Jun 18 2013 fwang <fwang> 5.0-6.mga4
+ Revision: 444588
- add doc and examples

* Tue Jun 18 2013 fwang <fwang> 5.0-5.mga4
+ Revision: 444584
- add xml patterns module
- br xml patterns

* Tue Jun 18 2013 fwang <fwang> 5.0-4.mga4
+ Revision: 444577
- update requires

* Tue Jun 18 2013 fwang <fwang> 5.0-3.mga4
+ Revision: 444560
- more fixes

* Tue Jun 18 2013 fwang <fwang> 5.0-2.mga4
+ Revision: 444490
- fix linkage

* Tue Jun 18 2013 fwang <fwang> 5.0-1.mga4
+ Revision: 444472
- add more modules
- drop doc packages
- fix sed usage
- drop more modules
- update file list
- update file list
- modify libs
- correct br
- imported package python-qt5

